<!DOCTYPE html>
<html lang="en">
<head>
    <?php include '../common/include.php' ?>
    <?php include '../common/article.php' ?>

    <title>Tyler Perkins - Home</title>
    <link rel="stylesheet" href="catalog.css">
</head>
<body>
    <?php include '../common/header.php' ?>
    <?php
        $articleClient = Article::makeNewClient();


        $posts = $articleClient->getAllPosts();

    ?>
    <div class="catalog-div soft-background">
        <h2>Post catalog</h2>
        <div class="article-list">
        <?php
            foreach($posts as $post){
                if($post == null)
                    continue;

                $id         = $post[0];
                $author     = $post[1];
                $created_at = $post[2];
                $title      = $post[3];

                $creation = new DateTime($created_at);

                echo '<a class="list-clickable-div link-float" href="/posts/?id=' . $id . '">';
                echo '<p class="inline-title">(' . $author . ') ' . $title . '</p>';
                echo '<p class="inline-date">' . $creation->format('M j, Y') . '</p>';
                echo '</a>';
            }
        ?>
        </div>
    </div>
    <?php include '../common/footer.php' ?>
</body>

</html>
