<?php

include '../common/git.php';

$giteaClient = new Gitea(getenv('GITEA_TOKEN'));

$parsed = json_decode($giteaClient->getResumeReleases(), true);

$url = $parsed[0]["assets"][0]["browser_download_url"];
if(!$url){
    header('HTTP/1.1 500 Internal Server Error');
    die();
}

header('Content-Description: File Transfer');
header('Content-Type: application/pdf; charset=UTF-8');
header('Content-Disposition: inline;filename=Tyler-Perkins-Resume.pdf');
header('Expires: 0');

$result = file_get_contents($url);

if(!$result){
    header('HTTP/1.1 500 Internal Server Error');
    die();
}

echo $result;
die();

?>
