$(function(ready){
    $('#input').change(function() {
        let input = $('#input').val();
        localStorage.setItem('base_input', input);
    });
    $('#encode').click(function() {
        let input = $('#input').val();
        let encoded = btoa(input);
        $('#output').val(encoded);
    });
    $('#decode').click(function() {
        let input = $('#input').val();
        let decoded = atob(input);
        $('#output').val(decoded);
    });
})

$(document).ready(function() {
    let last_input = localStorage.getItem('base_input');
    if(last_input != null) {
        $('#input').val(last_input);
    }
});

