<!DOCTYPE html>
<html>
<head>
    <?php include '../common/include.php' ?>
    <title>Tyler Perkins - Home</title>
    <link rel="stylesheet" href="./dipole.css">
    <script src="dipole.js"></script>
</head>
<body>
    <?php include '../common/header.php' ?>

    <div class="dipole-title">
        <h1>Dipole Calculator</h1>
        <noscript style="color:red;">This requires javascript</noscript>
    </div>

    <div class="dipole-body">
        <div class="title-block">
            <h3 style="display:inline; vertical-align: center;">Frequency (Mhz)</h3>
            <input type="text" id="freq" placeholder="137" value="137">
        </div>
        <div class="results-block">
            <p>Total length of dipole</p>
            <p id="total_len_cm"></p>
            <p id="total_len_ft"></p>
            <p>Length of leg</p>
            <p id="leg_len_cm"></p>
            <p id="leg_len_ft"></p>
            <p>Length of monopole</p>
            <p id="mono_len_cm"></p>
            <p id="mono_len_ft"></p>

        </div>
    </div>


    <?php include '../common/footer.php' ?>
</body>


</html>
