<!DOCTYPE html>
<html>
<head>
    <?php include '../common/include.php' ?>
    <title>Tyler Perkins - Utilities</title>
    <link rel="stylesheet" href="./index.css">
</head>
<body>
    <?php include '../common/header.php' ?>

    <div class="utilities-title">
        <h1>Utilities</h1>
    </div>

    <div class="utilities-grid">
        <div class="utilities-item">
            <a href="dipole.php" class="fill-div">
                <div style="justify-self: left;">
                    <h3>Dipole Calculator</h3>
                    <p>Utility to help you tune a dipole given a target frequency</p>
                    <noscript style="color:red;">This requires javascript</noscript>
                </div>
                <img src="/img/dipole.png" class="optional-img" alt="Stablediffusion: dipole antenna with a blue sky in the background">
            </a>
        </div>
        <div class="utilities-item">
            <a href="base64.php" class="fill-div">
                <div style="justify-self: left;">
                    <h3>Base64 Encode Decode</h3>
                    <p>Encode/Decode base64 text</p>
                    <noscript style="color:red;">This requires javascript</noscript>
                </div>
                <img src="/img/base64.png" class="optional-img" alt="Stablediffusion: With base64 text on a black background">
            </a>
        </div>
        <div class="utilities-item">
            <a href="json.php" class="fill-div">
                <div style="justify-self: left;">
                    <h3>JSON Beautifier</h3>
                    <p>Make ugly JSON pretty</p>
                    <noscript style="color:red;">This requires javascript</noscript>
                </div>
                <img src="/img/json.png" class="optional-img" alt="Stablediffusion: JSON text on a black background">
            </a>
        </div>
        <div class="utilities-item">
            <a href="qrcode.php" class="fill-div">
                <div style="justify-self: left;">
                    <h3>QRCode Generator</h3>
                    <p>Generate QRCodes for links, WiFi, and more</p>
                    <noscript style="color:red;">This requires javascript</noscript>
                </div>
                <img src="/img/qrcode.png" class="optional-img" alt="Qrcode to this website">
            </a>
        </div>
    </div>


    <?php include '../common/footer.php' ?>
</body>


</html>
