<!DOCTYPE html>
<html lang="en">
<head>
    <?php include '../common/include.php' ?>
    <?php include '../common/article.php' ?>

    <title>Tyler Perkins - Home</title>
    <link rel="stylesheet" href="index.css">
</head>
<body>
    <?php include '../common/header.php' ?>
    <?php
        $reqId = $_GET["id"];
        $articleClient = Article::makeNewClient();


        if($reqId == null || !is_numeric($reqId)){
            header('Location: /posts/catalog.php');
            die();
        }

        $post = $articleClient->getPostData($reqId);

        if($post == null) {
            header('Location: /posts/catalog.php');
            die();
        }


        $title = $post[3];
        $author = $post[1];
    ?>

    <div class="title-head soft-background dashed-bottom">
        <h2 class="article-title"><?php echo $title ?></h2>
        <p class="article-author">Written by <?php echo $author ?></p>
    </div>

    <div class="post-wrapper soft-background">
    <?php
        echo file_get_contents('../site-posts/' . $title . '.html');
    ?>
    </div>
    <?php include '../common/footer.php' ?>
</body>

</html>
