$(function(ready){
    $('#input').change(function() {
        let input = $('#input').val();
        localStorage.setItem('json', input);
    });
    $('#pretty').click(function() {
        let input = $('#input').val();
        let encoded = "";
        try {
            let parsed = JSON.parse(input);
            encoded = JSON.stringify(parsed, null, 4);
        } catch(error) {
            console.log(error);
            encoded = error;
        }

        $('#output').val(encoded);
    });
})

$(document).ready(function() {
    let last_input = localStorage.getItem('json');
    if(last_input != null) {
        $('#input').val(last_input);
    }
    $('#pretty').click();
});

