function reRender() {
    let input_url = $('#input').val();
    let input_size = $('#input_size').val();
    let input_corr = $('#input_correction').val();
    let input_radius = $('#input_radius').val();
    let input_padding = $('#input_padding').val();





    //first save to localStorage
    localStorage.setItem('qrcode_url', input_url);
    localStorage.setItem('qrcode_size', input_size);
    localStorage.setItem('qrcode_radius', input_radius);
    localStorage.setItem('qrcode_padding', input_padding);
    localStorage.setItem('qrcode_corr', input_corr);

    $('.result-code-wrapper').css('width', input_size);
    $('.result-code-wrapper').css('height', input_size);

    $('#qrcode-result').empty();

    $('#qrcode-result').qrcode({
        size: input_size,
        text: input_url,
        redner: 'image',
        ecLevel: input_corr,
        radius: input_radius,
        quiet: input_padding,
    });
}

$(function(ready){
    $('#input').change(reRender);
    $('#input_size').change(reRender);
    $('#input_radius').change(reRender);
    $('#input_padding').change(reRender);
    $('#input_correction').change(reRender);
})

$(document).ready(function() {
    let last_url = localStorage.getItem('qrcode_url');
    if(last_url != null) {
        $('#input').val(last_url);
    }
    let last_size = localStorage.getItem('qrcode_size');
    if(last_size != null) {
        $('#input_size').val(last_size);
    }
    let last_radius = localStorage.getItem('qrcode_radius');
    if(last_radius != null) {
        $('#input_radius').val(last_radius);
    }
    let last_correction = localStorage.getItem('qrcode_corr');
    if(last_correction != null) {
        $('#input_correction').val(last_correction);
    }
    let last_padding = localStorage.getItem('qrcode_padding');
    if(last_padding != null) {
        $('#input_padding').val(last_padding);
    }

    $('#input').change();
});
